> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Convai Settings

> Retrieve Convai settings for the workspace



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/settings
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/settings:
    get:
      tags:
        - Agents Platform
      summary: Get Convai Settings
      description: Retrieve Convai settings for the workspace
      operationId: get_settings_route
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConvAISettingsResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetConvAISettingsResponseModel:
      properties:
        conversation_initiation_client_data_webhook:
          anyOf:
            - $ref: '#/components/schemas/ConversationInitiationClientDataWebhook'
            - type: 'null'
        webhooks:
          $ref: '#/components/schemas/ConvAIWebhooks'
        can_use_mcp_servers:
          type: boolean
          title: Can Use Mcp Servers
          description: Whether the workspace can use MCP servers
          default: false
        rag_retention_period_days:
          type: integer
          maximum: 30
          exclusiveMinimum: 0
          title: Rag Retention Period Days
          default: 10
        conversation_embedding_retention_days:
          anyOf:
            - type: integer
              maximum: 365
              exclusiveMinimum: 0
            - type: 'null'
          title: Conversation Embedding Retention Days
          description: >-
            Days to retain conversation embeddings. None means use the system
            default (30 days).
        default_livekit_stack:
          $ref: '#/components/schemas/LivekitStackType'
          default: standard
      type: object
      title: GetConvAISettingsResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConversationInitiationClientDataWebhook:
      properties:
        url:
          type: string
          title: Url
          description: The URL to send the webhook to
        request_headers:
          additionalProperties:
            anyOf:
              - type: string
              - $ref: '#/components/schemas/ConvAISecretLocator'
          type: object
          title: Request Headers
          description: The headers to send with the webhook request
      type: object
      required:
        - url
        - request_headers
      title: ConversationInitiationClientDataWebhook
      example:
        request_headers:
          Content-Type: application/json
        url: https://example.com/webhook
    ConvAIWebhooks:
      properties:
        post_call_webhook_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Post Call Webhook Id
        events:
          items:
            $ref: '#/components/schemas/WebhookEventType'
          type: array
          title: Events
          description: >-
            List of event types to send via webhook. Options: transcript, audio,
            call_initiation_failure, unredacted_transcript, unredacted_audio.
            Unredacted events contain sensitive conversation data and must only
            be sent to explicitly authorized endpoints.
        transcript_format:
          $ref: '#/components/schemas/WebhookTranscriptFormat'
          description: Format for transcript webhooks.
          default: json
      type: object
      title: ConvAIWebhooks
    LivekitStackType:
      type: string
      enum:
        - standard
        - static
      title: LivekitStackType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConvAISecretLocator:
      properties:
        secret_id:
          type: string
          title: Secret Id
      type: object
      required:
        - secret_id
      title: ConvAISecretLocator
      description: Used to reference a secret from the agent's secret store.
    WebhookEventType:
      type: string
      enum:
        - transcript
        - audio
        - call_initiation_failure
        - unredacted_transcript
        - unredacted_audio
      title: WebhookEventType
    WebhookTranscriptFormat:
      type: string
      enum:
        - json
        - opentelemetry
      title: WebhookTranscriptFormat
      default: json

````